Subject: Re: [bug#31178] [PATCH] gnu: Add inxi.

From: [email-masked] (Ludovic Courtès)
Date: Sat, 28 Apr 2018 23:27:08 +0200

Oleg, could you take care of this patch?  (See Pierre’s comments below.)

Pierre Neidhardt <[email-masked]> skribis:

> Oleg Pykhalov <[email-masked]> writes:
>
>>> I didn't know Oleg was going to submit a patch, maybe there was some
>>> confusion in the process :p
>>
>> I've mentioned it in our mailing list discussion, see
>> https://lists.gnu.org/archive/html/help-guix/2018-04/msg00130.html
>
> Sorry, I had completely missed the last line :)
>
>> If you are talking about 31176, then no, because I've used a wrapper to
>> find all ‘inxi-minimal’ or ‘inxi’ requisites.  It was easy to do,
>> because ‘inxi’ in 31176 is a Shell script, not a Perl script.  Thanks to
>> Chris Marusich for an idea.
>
> I think we can do the same thing for the Perl version.  You want to give
> it a try?
>
> If I understand correctly, relying on native-inputs would mean that if the user
> runs `guix gc`, then all of inxi "optional" dependencies would go.
> Is this correct?